Issue 94898 - Preview in "Load Slide Design" isn't active
Preview in "Load Slide Design" isn't active
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: ui
OOo 3.0 RC3
All All
: P3 trivial (vote)
: 4.0.0
Assigned To: Andre
issues@graphics
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 15:14 UTC by gibi
Modified: 2013-07-10 15:07 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Proposed patch to fix this issue (674 bytes, patch)
2012-07-02 05:58 UTC, hanya
awf.aoo: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description gibi 2008-10-12 15:14:24 UTC
Steps to reproduce:
1) create a new presentation
2) click on "Slide Design" icon
3) click on "Load" button: a named "Load Slide Design" window pops up
4) click on "More" button then check "Preview"
5) single-click on any Presentation or Presentation background templates:
preview doesn't appear. <-KO
6) uncheck and recheck the checkbox "Preview": the preview now comes.
7) retry to select another presentation or background: no update of the preview
<-KO 

So the "preview" mechanism works but is not linked to the event "selecting a
presentation or a background".

Tested by qa french team on:
- Linux X64 rc3, confirmed on rc4
- Linux 32 rc3, confirmed on rc4
- Windows 32 rc3, confirmed on rc4
Comment 1 wolframgarten 2008-10-13 09:56:42 UTC
Reproducible. Reassigned.
Comment 2 Du Jing 2012-07-02 03:27:03 UTC
can reproduce in AOO3.4,suggest fix it,it is a common behavior.
Comment 3 hanya 2012-07-02 05:58:45 UTC
Created attachment 78536 [details]
Proposed patch to fix this issue

DECL_LINK( TemplateSelect, ListBox * ); is declared and it is used by "More" button 
But it is not linked to template list box. Patch to link with SetSelectHdl method.
Comment 4 SVN Robot 2012-07-09 15:10:11 UTC
"af" committed SVN revision 1359210: "#i94898# Fixed update of previews in slide layout load dialog.        ..."
Comment 5 Andre 2012-07-09 15:10:30 UTC
Comment on attachment 78536 [details]
Proposed patch to fix this issue

Reviewed and tested: OK
Comment 6 Andre 2012-07-09 15:13:12 UTC
Taking over and setting status to fixed.
Comment 7 binguo 2012-11-16 05:39:13 UTC
Verified on Aoo_Trunk_20121109.1800 Rev.1407366
pass
Comment 8 binguo 2012-11-16 05:43:59 UTC
Close it.
Comment 9 hdu@apache.org 2013-07-10 15:07:41 UTC
adjusted target to version that will contain the fix